Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Ubuntu 9.10, Lexmark x 1250  (Прочитано 1510 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн -=STEALTH=-

  • Автор темы
  • Любитель
  • *
  • Сообщений: 89
  • FreeBSD + Ubuntu user
    • Просмотр профиля
Ubuntu 9.10, Lexmark x 1250
« : 07 Март 2010, 17:29:04 »
dmesg
[15181.192038] usb 2-7: new full speed USB device using ohci_hcd and address 14
[15181.405255] usb 2-7: configuration #1 chosen from 1 choice
[15181.408471] hub 2-7:1.0: USB hub found
[15181.411046] hub 2-7:1.0: 2 ports detected
[15181.706053] usb 2-7.1: new full speed USB device using ohci_hcd and address 15
[15181.824248] usb 2-7.1: configuration #1 chosen from 1 choice
[15181.914046] usb 2-7.2: new full speed USB device using ohci_hcd and address 16
[15182.032250] usb 2-7.2: configuration #1 chosen from 1 choice
[15182.047253] usblp0: USB Bidirectional printer dev 16 if 0 alt 0 proto 2 vid 0x043D pid 0x00FF
[15183.524983] usb 2-7.2: usbfs: interface 0 claimed by usblp while 'usb' sets config #1
Ядро i686, hannochka-desktop 2.6.31-20-generic

На каких-то сайтах вычитана инфа про схожесть дров x1250 и z600, копал в эту сторону.

Что проделано:
- попытка установить z600_cups (найденная версия требует libstrdc++5 - в дистрах отсусвует)
- скачивали с lexmark.com дрова под шляпу и z600, см ниже
Verifying archive integrity...tail: невозможно открыть `+6' для чтения: No such file or directory
Error in check sums 1172392300 225780837


Оффлайн stmc

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1713
  • Arch Linux
    • Просмотр профиля
    • Моя страница на Launchpad
Re: Ubuntu 9.10, Lexmark x 1250
« Ответ #1 : 07 Март 2010, 18:13:32 »
в терминале
1. sudo apt-get install alien printconf libstdc++6 libstdc++6-4.4-dev

2. качаем драйвер
http://www.downloaddelivery.com/srfilecache/CJLZ600LE-CUPS-1.0-1.TAR.gz

3. распаковываем архив
tar -xvzf CJLZ600LE-CUPS-1.0-1.TAR.gz

4. переделываем sh в tar.gz
tail -n +143 z600cups-1.0-1.gz.sh > install.tar.gz

5. распаковываем
tar -xvzf install.tar.gz

6. конвертируем rpm в tgz
alien -t z600cups-1.0-1.i386.rpm
alien -t z600llpddk-2.0-1.i386.rpm

7. распаковываем полученные архивы в корень
sudo tar xvzf z600llpddk-2.0.tgz -C /
sudo tar xvzf z600cups-1.0.tgz -C /

8. sudo ldconfig

9. идем в папку с дровами
cd /usr/share/cups/model

10. распаковываем наконец драйвер
sudo gunzip Lexmark-Z600-lxz600cj-cups.ppd.gz

11. ребутим Cups
/etc/rc2.d/S19cupsys restart

12. идем в System > Administration > Printing и там в драйвере выбираем z600

Оффлайн -=STEALTH=-

  • Автор темы
  • Любитель
  • *
  • Сообщений: 89
  • FreeBSD + Ubuntu user
    • Просмотр профиля
Re: Ubuntu 9.10, Lexmark x 1250
« Ответ #2 : 07 Март 2010, 20:34:15 »
sudo apt-get install alien printconf libstdc++6 libstdc++6-4.4-dev
[sudo] password for hannochka:
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Уже установлена самая новая версия alien.
Уже установлена самая новая версия libstdc++6.
Уже установлена самая новая версия libstdc++6-4.4-dev.
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
  printconf: Зависит: python-foomatic (>= 0.7.9.2ubuntu2) но он не будет установлен
             Зависит: foomatic-db-gutenprint но он не будет установлен
  z600cups: Зависит: libstdc++5 (>= 1:3.3.4-1) но он не может быть установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение)

Оффлайн Snoclz

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Ubuntu 9.10, Lexmark x 1250
« Ответ #3 : 02 Апрель 2010, 22:55:50 »
Я начинал попытки заставить принтер работать с этой https://forum.ubuntu.ru/index.php?topic=2074.0 темы, вроде аналогичные действия, но в той теме не могу написать, застрял я на:
 11. ребутим Cups
/etc/rc2.d/S19cupsys restart - выдаёт "No such file or dirictory" .
был в папке, у меня нет "S19cupsys",  где взять его , что делать?

 

Страница сгенерирована за 0.056 секунд. Запросов: 24.